.synoptic-menu {
  display: inline-block;
}
.synoptic-menu input[type="text"] {
  background: rgba(0, 0, 0, 0);
  border: none;
  padding: 0.25rem 0.5rem;
  box-sizing: border-box;
  width: 20em;
  margin-left: 0.5em;
  cursor: text;
}

.synoptic-menu .title {
  color: #495057;
  margin-left: 2em;
}
.synoptic-menu input[type="text"]:focus {
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: 0;
  outline: none;
  box-shadow: none;
  font-style: normal;
  cursor: text;
}

.synoptic-menu .btn-clone {
  color: white;
  border: 1px solid rgba(27, 31, 35, 0.2);
  border-radius: 0.25em;
  padding: 0.15em 0.5em;
  font-size: 1em;
  margin-left: 0.5em;
  text-shadow: 1px 1px 0px rgba(0, 0, 0, 0.3);
  cursor: pointer;
  background-color: #28a745;
  background-image: -webkit-linear-gradient(top, #34d058, #28a745 90%);
  background-image: -o-linear-gradient(top, #34d058, #28a745 90%);
  background-image: linear-gradient(-180deg, #34d058, #28a745 90%);
  text-shadow: 1px 1px 0px rgba(0, 0, 0, 0.3);
  cursor: pointer;
}
.synoptic-menu .synoptic-menu-button {
  padding: 0.25em 0.5em;
  border-radius: 0.25em;
  background-color: white;
  margin: 0em 0.1em;
  border: 1px solid rgba(0, 0, 0, 0.2);
  cursor: pointer;
}
.synoptic-menu .synoptic-menu-button:disabled {
  cursor: not-allowed;
}
.synoptic-menu .btn-clone:hover {
  background-color: #28a745;
  background-image: linear-gradient(-180deg, #34d058, #23bd46 90%);
}
.synoptic-menu .notification-msg {
  color: #856404;
  background-color: #fff3cd;
  border-color: #ffeeba;
  position: relative;
  padding: 0.4em 0.8em;
  margin-left: 0.5em;
  border: 1px solid transparent;
  border-radius: 0.25em;
  cursor: default;
}
.synoptic-menu .ERROR {
  color: #850404;
  background-color: #ffcdcd;
}

@media (max-width: 1160px) {
  .synoptic-menu input[type="text"] {
    max-width: 150px;
  }
}

@media (max-width: 990px) {
  .synoptic-menu input[type="text"] {
    max-width: 200px;
  }

  .synoptic-menu {
    display: inline-grid;
    max-width: 400px;
    max-height: 32px;
    overflow-y: auto;
  }
  .synoptic-menu .synoptic-menu-button {
    margin-top: 8px;
    height: 32px;
  }
}

@media (max-width: 770px) {
  .synoptic-menu input[type="text"] {
    max-width: 100px;
  }
}

@media (max-width: 675px) {
  .synoptic-menu input[type="text"] {
    max-width: 50px;
  }
}

@media (max-width: 640px) {
  .synoptic-menu {
    display: none;
  }
}
